Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!

Bug 617708

Summary: NFSv4 callback in gentoo-sources-4.9.16.
Product: Gentoo Linux Reporter: Giuseppe Vitillaro <giuseppe>
Component: Current packagesAssignee: Gentoo Kernel Bug Wranglers and Kernel Maintainers <kernel>
Status: RESOLVED FIXED    
Severity: normal CC: burcheri.massimo+bugs-gentoo, gentoo, giuseppe
Priority: Normal    
Version: unspecified   
Hardware: AMD64   
OS: Linux   
Whiteboard:
Package list:
Runtime testing required: ---

Description Giuseppe Vitillaro 2017-05-07 09:46:24 UTC
I think we got this bug

https://bugzilla.redhat.com/show_bug.cgi?id=1427493

in the current gentoo-sources-4.9.16 stable gentoo kernel.

I'm using autofs in many of my systems and I'm getting a number of this hanging kernel threads, which can not be killed and may lead, eventually, to fill the kernel process table.

I haven't see this problem before and I'm pretty sure it was not present in the previous gentoo-sources-4.4.39 stable kernel I've used in the last couple of months. This Fedora bug is the only reference to this bug I've found so far.

For what I can understand, upstream patches are available for kernel 4.10.13, but, for what I'm reading, they are still under review.
Comment 1 Giuseppe Vitillaro 2017-05-07 10:32:26 UTC
The patches:

 https://www.spinics.net/lists/linux-nfs/msg61696.html
 https://www.spinics.net/lists/linux-nfs/msg61697.html

seems to apply correctly to the gentoo-sources-4.9.16 stable kernel.

I had been able to build and boot a 4.9.16 kernel with these patches applied and nfs server seems to work correctly.

Only time may say if these patches actually solve the issue without introducing some new problem.
Comment 2 Giuseppe Vitillaro 2017-05-09 10:56:15 UTC
My last comment on this topic.

The patches seems to have solved the problem when applied to "NFS clients".

In 3 days I haven't seen any other hanging callback thread and no other evident problem so far in 3 of my NFS Gentoo systems

By the way: I don't think an "emerge --info" output would make any difference for such a problem.

Regards, G. Vitillaro
Comment 3 Massimo Burcheri 2017-06-13 10:58:55 UTC
Discussion: https://forums.gentoo.org/viewtopic.php?p=8079126
Comment 4 Alice Ferrazzi Gentoo Infrastructure gentoo-dev 2017-06-16 16:43:36 UTC
Hello Giuseppe,

(In reply to Giuseppe Vitillaro from comment #2)
> My last comment on this topic.
> 
> The patches seems to have solved the problem when applied to "NFS clients".
> 
> In 3 days I haven't seen any other hanging callback thread and no other
> evident problem so far in 3 of my NFS Gentoo systems

Thanks for reporting this bug.

> 
> By the way: I don't think an "emerge --info" output would make any
> difference for such a problem.


emerge --info is something that we ask by default to add to a bug request and that would be better to add in all bugs request (Gentoo kernel or not).
But yes in this case would be of little difference.

> 
> Regards, G. Vitillaro

Thanks,
Alice
Comment 5 Mike Pagano gentoo-dev 2018-06-13 13:50:07 UTC
Patches are included in recent kernels.